Bug 86144 - Integrate IETC CSS : xml namespace tests
: Integrate IETC CSS : xml namespace tests
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: CSS
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Dave Tharp
http://samples.msdn.microsoft.com/iet...
:
Depends on:
Blocks: 81526
  Show dependency treegraph
 
Reported: 2012-05-10 14:09 PDT by Dave Tharp
Modified: 2012-05-14 10:27 PDT (History)
4 users (show)

See Also:


Attachments
Patch (72.10 KB, patch)
2012-05-10 14:18 PDT, Dave Tharp
no flags Details | Formatted Diff | Diff
Patch (71.23 KB, patch)
2012-05-11 14:48 PDT, Tom Zakrajsek
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Tharp 2012-05-10 14:09:36 PDT
Integrate 17 IETC xml namespace tests.  Three of these fail and will have bugs written against them.
Comment 1 Dave Tharp 2012-05-10 14:18:24 PDT
Created attachment 141252 [details]
Patch
Comment 2 Tom Zakrajsek 2012-05-11 14:48:11 PDT
Created attachment 141500 [details]
Patch
Comment 3 Tom Zakrajsek 2012-05-11 14:52:28 PDT
Committed r116808: <http://trac.webkit.org/changeset/116808>
Comment 4 WebKit Review Bot 2012-05-11 14:52:28 PDT
Attachment 141500 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/iete..." exit_code: 1
LayoutTests/platform/gtk/test_expectations.txt:1337:  Path does not exist. svg/text/add-tspan-position-bug.html  [test/expectations] [5]
LayoutTests/platform/gtk/test_expectations.txt:1338:  Path does not exist. svg/text/modify-tspan-position-bug.html  [test/expectations] [5]
Total errors found: 2 in 40 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 Tom Zakrajsek 2012-05-11 14:59:43 PDT
OK, so just to 'splain... Adam Barth r+'d the first patch.  Merge and manual commit was required because of test_expectations conflict.  As I was doing that, a well-intentioned gardener added bustage to gtk's expectations.  I decided not to do gardener combat, and committed with the style violation.  Hopefully that was OK.
Comment 6 Dave Tharp 2012-05-14 10:27:59 PDT
Patch expertly landed by tomz :)